<script src="gameFiles/world.js"></script>
<script src="gameFiles/tile.js"></script>
<script src="gameFiles/player.js"></script>
<script src="gameFiles/levelMaps/1/level.js"></script>
<script src="gameFiles/levelMaps/2/level.js"></script>
<!DOCTYPE html>
<html>
<head>
<link rel="stylesheet" type="text/css" href="myStyles.css">
<title>Test Area!</title>
</head>
<body>
<table border="1" width="100%">
<tr><td>
<canvas id="gameCanvas">
</canvas>
</td></tr>
<tr><td>
<input type="text" id="userInput">
</td></tr>
</table>
 
<script type="application/javascript">

// variables to initialize playing area
let canvasWidth=1000;
let canvasHeight = 800;
let tileWidth = 100;
let tileHeight = 100;
let worldSize = 100;
let worldWidth = tileWidth * worldSize;
let worldHeight = tileHeight * worldSize;
let levelNumber = 2;
let levelSeed = "level" + levelNumber;
let currentLevel = new level1;
let cameraOffsetX = 0;
let cameraOffsetY = 0;

let playerOneForward = false;
let playerOneBackward = false;
let playerOneLeft = false;
let playerOneRight = false;
let playerTwoForward = false;
let playerTwoBackward = false;
let playerTwoLeft = false;
let playerTwoRight = false;
let playerOneWidth = 100;
let playerOneHeight = 100;
let playerOnex = canvasWidth / 2;
let playerOney = canvasHeight / 2;
let playerOnedx = 100;
let playerOnedy = 100;
let offsetRight = false;
let offsetLeft = false;
let offsetForward = false;
let offsetBackward = false;
let cameraOffset = 100;


let playerOneImg = new Image();
playerOneImg.src = 'images/playerOne.gif';

 
document.addEventListener("keyup", keyUpHandler, false);
document.addEventListener("keydown", keyDownHandler, false);

let gameCanvas = document.getElementById('gameCanvas');
gameCanvas.width = canvasWidth;
gameCanvas.height = canvasHeight;
let ctx = gameCanvas.getContext('2d');

let playerOne = new player(playerOnex,playerOney,playerOneWidth,playerOneHeight,playerOnedx,playerOnedy,100,playerOneImg,currentLevel);

let mySea = [];

mySea = new world(currentLevel);
// console.table(currentLevel);

function keyDownHandler(e) {
	
    if(e.keyCode == 39) {
        playerOneRight = true;
		offsetRight = true;
    }
    
	if(e.keyCode == 37) {
        playerOneLeft = true;
		offsetLeft = true;
    } 
	
	if(e.keyCode == 38) {
        playerOneForward = true;
		offsetForward = true;
    }
	
	if(e.keyCode == 40) {
		playerOneBackward = true;
		offsetBackward = true;
    }
	
}

function keyUpHandler(e) {
	
    if(e.keyCode == 39) {
        playerOneRight = false;
		offsetRight = false;
    }
    
	if(e.keyCode == 37) {
        playerOneLeft = false;
		offsetLeft = false;
    }
	 
	if(e.keyCode == 38) {
        playerOneForward = false;
		offsetForward = false;
    }
	
	if(e.keyCode == 40) {
		playerOneBackward = false;
		offsetBackward = false;
    }
}

function drawReport(message,x,y){
	
	ctx.font = "16px Arial";
	ctx.fillStyle = "#000FFF";
	ctx.fillText(message, x, y);
}

function gameLoop(){
	
	ctx.clearRect(0,0, gameCanvas.width, gameCanvas.height);
	mySea.draw(ctx,offsetRight,offsetLeft,offsetForward,offsetBackward);
	playerOne.move(mySea.map,playerOneForward,playerOneBackward,playerOneLeft,playerOneRight);
	playerOne.draw(ctx);
	drawReport("X: " + playerOne.x + " Y: " + playerOne.y,playerOne.x,playerOne.y);
	drawReport("HEALTH: " + playerOne.health,playerOne.x,playerOne.y + playerOne.height + 13);
	window.requestAnimationFrame(gameLoop);
	
}

gameLoop();


</script>


</body>
</html>